Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85765 - International characters not working in gimp
Summary: International characters not working in gimp
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gimp
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-07 10:51 UTC by Stefan Ekman
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-04-03 01:46:55 UTC


Attachments (Terms of Use)

Description Stefan Ekman 2003-03-07 10:51:21 UTC
Description of problem:

When using the text tool in gimp. You cant write international characters åäö
(aring, auml and ouml). They are represented by twobyte codes instead. If I
choose a twobyte font, then gimp is not finding the when pushing OK.

Version-Release number of selected component (if applicable):

1.2.3

How reproducible:

Every time

Steps to Reproduce:
1. Get a swedish keyboard
2. Open Gimp and make a blank picture
3. Press texttool
4. Select for example bookman(urw)-light-14
5. Type text including åäö (aring, auml, ouml)


Actual results:

åäö (aring, auml, ouml) is represented by other characters.

Expected results:

Correct characters

Additional info:

If I choose times(adobe) i get a warning about that it is a two-byte typeface
and ISO10646-1, medium, 14pt. The characters are shown correctly in the dialog,
but when I press OK I get an alert telling that gimp cant find
 "-adobe-times-medium-r-normal-*-*-420-72-72-p*.iso10646-1"

Comment 1 Stefan Ekman 2003-03-07 11:50:35 UTC
Starting gimp from a terminal like this make it work:

export LANG=sv_SE
gimp

Comment 2 Nils Philippsen 2004-04-03 01:46:55 UTC
This is a deficiency in gimp-1.2.x which can't cope really well with
Unicode characters. Fixed in gimp-2.0.0 packages for upcoming Fedora
Core 2.


Note You need to log in before you can comment on or make changes to this bug.